Skip to main content
PUT
/
key-pages
/
{keyPageId}
Update key page
curl --request PUT \
  --url https://api.kameleoon.com/key-pages/{keyPageId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "matchType": "<string>",
  "relativeUrlRegExp": "<string>",
  "secondMatchType": "<string>",
  "siteId": 123,
  "totalCount": 123
}
'
{
  "name": "<string>",
  "dateCreated": "2023-11-07T05:31:56Z",
  "id": 123,
  "matchType": "<string>",
  "modificationDate": "2023-11-07T05:31:56Z",
  "relativeUrlRegExp": "<string>",
  "secondMatchType": "<string>",
  "siteId": 123,
  "totalCount": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

keyPageId
integer<int64>
required

Body

application/json
name
string
required

Name of the key page

matchType
string

Matching type for the given key page

relativeUrlRegExp
string

Regular expression for the relative URL

secondMatchType
string

Second matching type for the given key page (if needed)

siteId
integer<int64>

Site Id of the project the key page belongs to

totalCount
integer<int32>

Number of impressions for the key page

Response

OK

name
string
required

Name of the key page

dateCreated
string<date-time>
read-only

Date and time a key page is created

id
integer<int64>
read-only

Unique Id of the key page

matchType
string

Matching type for the given key page

modificationDate
string<date-time>
read-only

Date and time a key page is modified

relativeUrlRegExp
string

Regular expression for the relative URL

secondMatchType
string

Second matching type for the given key page (if needed)

siteId
integer<int64>

Site Id of the project the key page belongs to

totalCount
integer<int32>

Number of impressions for the key page